package com.ningdatech.pmapi.todocenter.bean.vo;

import com.ningdatech.pmapi.todocenter.bean.entity.ProcessComment;
import com.wflow.workflow.bean.vo.UserInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 流程节点审核信息
 *
 * @author CMM
 * @since 2023/02/01 16:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProgressNodeAuditInfoVo extends ProcessComment {
    @ApiModelProperty("评论ID")
    private String id;

    @ApiModelProperty("评论")
    private String type;

    @ApiModelProperty("任务ID")
    private String taskId;

    @ApiModelProperty("评论类型")
    private String commentType;

    @ApiModelProperty("评论用户信息")
    private UserInfoVO user;

    @ApiModelProperty("评论时间")
    private Date createTime;
}
